<?php

namespace Tests\Statistic\Http\Controllers;

use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class ROITJControllerTest extends UsedTestCase
{

    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/statistic/roi/list', [
//            'user_id' => 10,
//            'limit' => 3,
//            'start_at' => '2023-06-03',
//            'end_at' => '2023-06-04',
        ]);
        $this->dumpJson($res);
    }
    public function testlistTotal()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/statistic/roi/listTotal', [
//            'user_id' => 10,
            'limit' => 3,
//            'start_at' => '2023-06-03',
//            'end_at' => '2023-06-04',
        ]);
        $this->dumpJson($res);
    }

    public function testupdateCostmoney()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/statistic/roi/updateCostmoney', [
            'cost_money' => 15,
            'id' => 1
        ]);
        $this->dumpJson($res);
    }
}
